Get dispatched orders
Returns orders with a dispatched shipment and every consignment associated with each order. Shipment state is independent from the canonical order lifecycle.
Returns orders with a dispatched shipment and every consignment associated with each order. Shipment state is independent from the canonical order lifecycle.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Query Parameters
page?integer
Range
0 < valueDefault
1limit?integer
Range
0 < value <= 50Default
20search?string
Response Body
application/json
curl -X GET "https://example.com/orders/shipped"{ "data": [ { "id": "string", "orderNumber": "string", "status": "draft", "type": "digital", "dueDate": "string", "doctorName": "string", "patient": { "id": "string", "firstName": "string", "lastName": "string" }, "clinic": { "id": "string", "name": "string" }, "clinicLocation": { "id": "string", "name": "string" }, "items": { "count": 0, "productNames": [ "string" ] }, "shipments": [ { "id": "string", "shipmentNumber": 1, "status": "draft", "shippingMethod": "carrier", "labels": [ { "id": "string", "packageId": "string", "packageNumber": 1, "carrier": "string", "trackingNumber": "string", "trackingUrl": "http://example.com" } ], "driverName": "string", "driverPhone": "string", "shippedAt": "string", "deliveredAt": "string", "address": "string", "city": "string", "postcode": "string", "country": "string", "contactName": "string", "contactPhone": "string", "signedBy": "string" } ] } ], "pagination": { "page": 1, "limit": 1, "total": 0, "totalPages": 0 }}Empty
Empty
Get order tags GET
Returns all tags applied to an order. Accessible by both labs and clinics that have access to the order.
List tasks of an order's current phase GET
Returns the ordered task list of the order's active phase. For clinic requesters, only clinic-visible entries are returned and labels resolve to clinicTitle when set.